Bug 977577 - [abrt] evolution-data-server-3.8.3-1.fc19: g_malloc0: Process /usr/libexec/evolution-addressbook-factory was killed by signal 11 (SIGSEGV) [NEEDINFO]
[abrt] evolution-data-server-3.8.3-1.fc19: g_malloc0: Process /usr/libexec/ev...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: evolution-data-server (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milan Crha
Fedora Extras Quality Assurance
abrt_hash:10e1159ca9dafb76dd4db5abc4b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-24 19:56 EDT by David Woodhouse
Modified: 2015-02-17 10:41 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:41:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mcrha: needinfo? (dwmw2)


Attachments (Terms of Use)
File: backtrace (89.20 KB, text/plain)
2013-06-24 19:56 EDT, David Woodhouse
no flags Details
File: cgroup (142 bytes, text/plain)
2013-06-24 19:56 EDT, David Woodhouse
no flags Details
File: core_backtrace (1.18 KB, text/plain)
2013-06-24 19:57 EDT, David Woodhouse
no flags Details
File: dso_list (16.63 KB, text/plain)
2013-06-24 19:57 EDT, David Woodhouse
no flags Details
File: environ (1021 bytes, text/plain)
2013-06-24 19:57 EDT, David Woodhouse
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-24 19:57 EDT, David Woodhouse
no flags Details
File: maps (86.36 KB, text/plain)
2013-06-24 19:57 EDT, David Woodhouse
no flags Details
File: open_fds (2.29 KB, text/plain)
2013-06-24 19:57 EDT, David Woodhouse
no flags Details
File: proc_pid_status (962 bytes, text/plain)
2013-06-24 19:57 EDT, David Woodhouse
no flags Details
File: var_log_messages (355 bytes, text/plain)
2013-06-24 19:57 EDT, David Woodhouse
no flags Details

  None (edit)
Description David Woodhouse 2013-06-24 19:56:49 EDT
Version-Release number of selected component:
evolution-data-server-3.8.3-1.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/libexec/evolution-addressbook-factory
crash_function: g_malloc0
executable:     /usr/libexec/evolution-addressbook-factory
kernel:         3.9.5-301.fc19.x86_64
runlevel:       N 5
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (4 frames)
 #3 g_malloc0 at gmem.c:189
 #4 thread_memory_from_self at gslice.c:512
 #6 g_slice_free1 at gslice.c:1087
 #7 __nptl_deallocate_tsd at pthread_create.c:156

Potential duplicate: bug 883609
Comment 1 David Woodhouse 2013-06-24 19:56:54 EDT
Created attachment 764836 [details]
File: backtrace
Comment 2 David Woodhouse 2013-06-24 19:56:57 EDT
Created attachment 764837 [details]
File: cgroup
Comment 3 David Woodhouse 2013-06-24 19:57:00 EDT
Created attachment 764838 [details]
File: core_backtrace
Comment 4 David Woodhouse 2013-06-24 19:57:03 EDT
Created attachment 764839 [details]
File: dso_list
Comment 5 David Woodhouse 2013-06-24 19:57:06 EDT
Created attachment 764840 [details]
File: environ
Comment 6 David Woodhouse 2013-06-24 19:57:09 EDT
Created attachment 764841 [details]
File: limits
Comment 7 David Woodhouse 2013-06-24 19:57:13 EDT
Created attachment 764842 [details]
File: maps
Comment 8 David Woodhouse 2013-06-24 19:57:16 EDT
Created attachment 764843 [details]
File: open_fds
Comment 9 David Woodhouse 2013-06-24 19:57:19 EDT
Created attachment 764844 [details]
File: proc_pid_status
Comment 10 David Woodhouse 2013-06-24 19:57:25 EDT
Created attachment 764845 [details]
File: var_log_messages
Comment 11 Milan Crha 2013-06-26 08:42:55 EDT
Thanks for a bug report. I see from the backtrace only that there is an ongoing GAL update from EWS and a closing of a file book backend view, but nothing more, what would explain the memory corruption crash. As this is GSlice related, could you try to run the factory with
    G_SLICE=debug-blocks
exported, thus any incorrect usage of it will be reported immediately (by a crash of the factory), please? Another option is to involve valgrind, as you know.
Comment 12 Fedora Admin XMLRPC Client 2014-09-04 10:32:00 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 13 Fedora End Of Life 2015-01-09 13:31:39 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2015-02-17 10:41:08 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.